{% set active_page = (p.active or p.activeChild) ? 'text-secondary ' : '' %}
<div @click.away="open = false" x-data="{ open: false }" class="md:w-80 md:mx-4 md:my-4" >
    <a href="{{ p.url }}" class="hidden md:block">
        <div class="img-card-menu img-card-mask">
            {% if p.header.image_menu %}
                <img class="h-full w-full object-cover" src="/{{ (p.header.image_menu|first).path }}" >
            {% else %}
                <div class="w-full flex align-middle justify-center">
                    <img class="p-8 bg-primary/25 w-full" src="{{ url('theme://images/logo_header/' ~ (theme_var('logo_header')|first).name) }}" alt="{{ site.title }}" />
                </div>
            {% endif %}
        </div>
        <span class="block relative font-light text-secondary py-4 text-lg tracking-wider px-4 md:px-0">{{ p.menu }}</span>
    </a>
    {% if p.children.visible.count > 0 %}
        <button @click="open = !open" class="{{ active_page }} px-4 py-2 flex flex-row items-center justify-between w-full text-left bg-transparent relative md:hidden tracking-wider">
            <span>{{ p.menu }}</span><i class="fa-solid fa-chevron-right md:hidden"></i>
        </button>
        <ul :class="{'block translate-x-0': open, 'translate-x-full md:translate-x-0': !open}" class="transform transition ease-in-out duration-500 absolute right-0 left-0 bg-white w-full origin-top-right top-0 bottom-0 z-40 md:block md:static">
            <button @click="open = !open" class="{{ active_page }} flex flex-row items-center justify-between w-full text-left bg-secondary p-4 md:hidden tracking-wider text-white">
                <span>{{ 'ETD_MENU_CARDS.BUTTONS.BACK'|t }}</span><i class="fa-solid fa-rotate-left"></i>
            </button>
            {{ macros.submenu_loop(p, level+1) }}
        </ul>
    {% else %}
        <a href="{{ p.url }}" class="{{ active_page }} px-4 py-2 flex flex-row items-center justify-between w-full text-left bg-transparent relative md:hidden tracking-wider">{{ p.menu }}</a>
    {% endif %}
</div>
